{
  imports = [
    # Base configs
    ./../../system
    ./../../system/pc.nix

    # Hardware
    ./hardware-configuration.nix
    ./../../system/modules/boot/systemd
  ];

  # Enable Nvidia drivers
  drivers.nvidia.enable = true;

  # Set hostname
  networking.hostName = "JimDesktop";

  # Force Electron to use Wayland
  environment.sessionVariables.NIXOS_OZONE_WL = "1";

  # https://nixos.wiki/wiki/FAQ/When_do_I_update_stateVersion
  system.stateVersion = "24.05";
}
